Subject: bug#21532: 11.88.8; Change environment feature don't works fine.

From: Mosè Giordano <[email-masked]>
Date: Tue, 22 Sep 2015 14:22:17 +0200

2015-09-22 13:57 GMT+02:00 Tassilo Horn <[email-masked]>:
> Orlando Iovino <[email-masked]> writes:
>
>>> else. If the mouse cursor is on \end{document} and I digit 'C-u C-c
>>> C-e', AUCTeX will change the minipage environment.
>> Sorry: I meant \end{minipage}.
>
> I don't see what should be wrong with that behavior.  It changes the
> nearest environment containing point, so if you want to change the
> itemize, point has to be somewhere in that.

I agree that it's safer to stay *inside* an environment to change it,
but there is a mismatch between what (LaTeX-current-environment)
returns when point is on environment name in "\end{environment}" and
which environment is actually changed.

Bye,
Mosè